/** @file agg_iotsupp.h
 *  @brief Aggregated list of C header files commonly used 
 *  together to support IoT communication functionality.
 *
 *  To keep #include sections of most source files small, 
 *  many commonly-needed header files are listed here, 
 *  and this one file may be #included.
 */

#ifndef _AGG_IOTSUPP_H
#define _AGG_IOTSUPP_H

#include "azure_c_shared_utility/macro_utils.h"
#include "azure_c_shared_utility/threadapi.h"
#include "azure_c_shared_utility/platform.h"
#include "azure_c_shared_utility/shared_util_options.h"
#include "azure_prov_client/prov_device_ll_client.h"
#include "azure_prov_client/prov_security_factory.h"
#include "azure_prov_client/iothub_security_factory.h"

#include "iothub.h"
#include "iothub_client.h"
#include "iothubtransportmqtt.h"
#include "iothub_device_client.h"
#include "iothub_device_client_ll.h"
#include "iothub_client_options.h"
#include "iothub_client_core_ll.h"
#include "iothub_client_version.h"
#include "hsm_client_data.h"
#include "azure_c_shared_utility/httpapi.h"
#include "parson.h"
#include "azure_c_shared_utility/urlencode.h"

#include "mqtt.h"

#endif  // _AGG_IOTSUPP_H
